package com.shigongli.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(description = "报存入住人员参数")
@Data
public class HousePersonParams {

    @ApiModelProperty("订单号")
    String orderId;

    @ApiModelProperty("房源ID")
    String houseId;

    @ApiModelProperty("入住人列表")
    List<Person> personList;

    @ApiModel(description = "入住人员")
    @Data
    public static class Person {

        @ApiModelProperty("姓名")
        String name;

        @ApiModelProperty("手机号")
        String phone;
    }
}
